function terminate = DiffEqMonitor(T,Q,flag,M,I,L,R)
%modified version to call the different control algorimthm
terminate=0;

global magnetState;
global motorState;

if(length(flag)>0)
    %could be the initialize or finalize call, just ignore
    return
end


for i=1:length(T) %loop through each step produced during this phase
    q=Q(:,i);
    t=T(i);
%     if(doplot)
%         if(mod(t,.01)==0)
%             graphStep(t,q,M,I,L,R) %graph this point in time
%         end
%     end
    cur_magnet=magnetState;
    cur_motor=motorState;
    
    terminate=controlAlgorithm_search(t,q); %check the control algorithm
    
    if(cur_magnet ~= magnetState || cur_motor~=motorState)
        terminate=1;  %force integration halt if controller changed the state
    end

    if(terminate)
        global terminated_Q;%store points to resume integration from
        global terminated_t;
        terminated_Q=q;
        terminated_t=t;
        return;%and halt this loop
    end
end