function graphStep(t,Q,M,I,L,R);
%graphStep(t,Q,M,I,L,R);
%plots the current state (specified by Q)

figure(1);

g=9.81;


%find joint locations
x=Q(1);
y=Q(2);
t1=Q(3);
t2=Q(4);

x2=x+L(1)*sin(t1);
x3=x2+L(2)*sin(t2+t1);
y2=y-L(1)*cos(t1);
y3=y2-L(2)*cos(t2+t1);



%print energy checks
if(0)
    dx=Q(5);
    dy=Q(6);
    dt1=Q(7);
    dt2=Q(8);

    dx1=dx+R(1)*cos(t1)*dt1;
    dx2=dx+L(1)*cos(t1)*dt1+R(2)*cos(t1+t2)*(dt1+dt2);
    dy1=dy+R(1)*sin(t1)*dt1;
    dy2=dy+L(1)*sin(t1)*dt1+R(2)*sin(t1+t2)*(dt1+dt2);
    if(1)
        PE=(y-R(1)*cos(t1))*M(1)*g+(y-L(1)*cos(t1)-R(2)*cos(t1+t2))*M(2)*g;
        KE=.5*( M(1)*(dx1^2+dy1^2)+M(2)*(dx2^2+dy2^2)+I(1)*dt1^2+I(2)*(dt1+dt2)^2 );
        NET=KE+PE
    end
    Q(:);
end

%plot
plot([x x2 x3], [y y2 y3], 'b.-');
axis([0 10 -5 5]);
grid on;
pause(.01);

end